DIR=/usr/lib/u-boot
write_uboot_platform () 
{ 
    dd if=$1/idbloader.img of=$2 seek=64 conv=notrunc > /dev/null 2>&1;
    dd if=$1/uboot.img of=$2 seek=16384 conv=notrunc > /dev/null 2>&1;
    dd if=$1/trust.img of=$2 seek=24576 conv=notrunc > /dev/null 2>&1
}
write_uboot_platform_ext () 
{ 
    dd if=$1/idbloader.img of=${2}p1 conv=notrunc > /dev/null 2>&1;
    dd if=$1/uboot.img of=${2}p2 conv=notrunc > /dev/null 2>&1;
    dd if=$1/trust.img of=${2}p3 conv=notrunc > /dev/null 2>&1
}
setup_write_uboot_platform () 
{ 
    if grep -q "ubootpart" /proc/cmdline; then
        local tmp=$(cat /proc/cmdline);
        local ubootpart="${tmp##*ubootpart=}";
        local imagetype="${tmp##*imagetype=}";
        ubootpart="${ubootpart%% *}";
        imagetype="${imagetype%% *}";
        [[ -n $ubootpart && $ubootpart != NULL ]] && local part=$(findfs PARTUUID=$ubootpart 2>/dev/null);
        [[ -n $part ]] && local dev=$(lsblk -n -o PKNAME $part 2>/dev/null);
        [[ -n $dev ]] && DEVICE="/dev/$dev";
    fi
}
